## ros-indigo-rocon-hub-client 0.7.10

=== debian/changelog ===
ros-indigo-rocon-hub-client (0.7.10-1trusty) trusty; urgency=high

  * [rocon_hub_client] bugfix boolean check of paired ping_hub return value.
    This fixes #312 <https://github.com/robotics-in-concert/rocon_multimaster/issues/312>.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-hub-client (0.7.9-1trusty) trusty; urgency=high

  * uses rospy wall time sleep instead of python sleep #308 <https://github.com/robotics-in-concert/rocon_multimaster/issues/308>
  * adding a 5s retry in case we couldnt read the rocon:hub:name from redis yet.
  * update timeouts #302 <https://github.com/robotics-in-concert/rocon_multimaster/issues/302>
  * increate socket timeout to ping frequency
  * setting default timeout in ping hub
  * increase hubconnection socket timeout to resolve frequent hub disengagement closes #301 <https://github.com/robotics-in-concert/rocon_multimaster/issues/301>
  * Contributors: AlexV, Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-hub-client (0.7.8-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-rocon-hub-client (0.7.7-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-rocon-hub-client (0.7.6-1trusty) trusty; urgency=high

  * [rocon_gateway] bugfix gateway param setting
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-hub-client (0.7.5-1trusty) trusty; urgency=high

  * rename _ to reason
  * add logic to handle hub connection
  * increase the timeout for late launching zero conf than gateway
  * Contributors: Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 22 Sep 2014 15:00:00 -0000

ros-indigo-rocon-hub-client (0.7.4-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-hub-client (0.7.3-1trusty) trusty; urgency=high

  * lists instead of semi-colon separated strings for hub whitelist/blacklist parameters.
  * keep trying to resolve zeroconf hubs instead of blacklisting them so we can come back from wireless dropouts, #271 <https://github.com/robotics-in-concert/rocon_multimaster/issues/271>.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-indigo-rocon-hub-client (0.6.1-1trusty) trusty; urgency=high

  * allow hostname:port without scheme for direct hub identification. Better handling of poorly formatted direct hub uris.
  * rediscover direct hubs if lost.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-indigo-rocon-hub-client (0.5.0-1trusty) trusty; urgency=high

  * revert back to faster looping - optimisation issues were not here.
  * bugfix for when zeroconf is not around.
  * persistent service proxy.
  * trivial documentation updates.
  * hub white/blacklist checks for hubs.
  * graveyard is rip.
  * match uri's in the white/blacklist correctly using urlparse
  * properly modularising rocon_gateway and rocon_hub_client
  * 0.4.0

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:03:00 -0000

ros-indigo-rocon-hub-client (0.3.0-1trusty) trusty; urgency=high

  * update jihoon e-mail

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-rocon-hub-client (0.2.2-1trusty) trusty; urgency=high

  * fix wiki links.
  * catkinized.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Jan 2013 15:00:00 -0000

ros-indigo-rocon-hub-client (0.2.1-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 15:00:00 -0000

ros-indigo-rocon-hub-client (0.2.0-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 05:05:00 -0000

ros-indigo-rocon-hub-client (0.1.9-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 24 Dec 2012 15:00:00 -0000

ros-indigo-rocon-hub-client (0.1.8-1trusty) trusty; urgency=high

  * pep8 stuff.
  * some exception and license handling

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 04:59:00 -0000

ros-indigo-rocon-hub-client (0.1.7-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 12 Dec 2012 15:00:00 -0000

ros-indigo-rocon-hub-client (0.1.6-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 11 Dec 2012 15:00:00 -0000

ros-indigo-rocon-hub-client (0.1.5-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 08 Dec 2012 15:00:00 -0000

ros-indigo-rocon-hub-client (0.1.4-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 07 Dec 2012 15:00:00 -0000

ros-indigo-rocon-hub-client (0.1.3-1trusty) trusty; urgency=high

  * resolveHub to resolve_hub. resolveAddress to resolve_address
  * pep8 stuff.
  * bugfix rocon_hub_client rename.
  * rocon_gateway_hub->rocon_hub, client also.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 06 Dec 2012 15:00:00 -0000

ros-indigo-rocon-hub-client (0.1.2-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 24 Nov 2012 09:09:00 -0000

ros-indigo-rocon-hub-client (0.1.1-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 24 Nov 2012 06:57:00 -0000

ros-indigo-rocon-hub-client (0.1.0-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 13 Nov 2012 15:00:00 -0000
